#include <stdio.h>

#include "vosid.h"

/** CMDLINE OPTIONS */
show_params()
{
 printf("VoSiD %s		by Sampo Savolainen 1996\n",VERSION);
 printf("usage:   vosid [options]\n");
 printf("options: -s1		Stop after 10 seconds of silence [default]\n");
 printf("         -s2		Stop after voice is heard\n");
 printf("         -s3		Stop when it's silent [unusable]\n");
 printf("         -s4		Don't stop. [not recommended]\n");
 printf("         -q		Quiet (no sound output)\n");
 printf("         -v		Show output when silence/voice is detected\n");
 printf("         -h 		Show this message\n");
 exit(1);
}

/**************************************************
*** CMDLINE OPTION PARSER  *************************
*** Gulps. This might suck.. It's the first one  ***
*** I've ever made (on a larger scale, of course ***
*** I've done small ones).                       ***
***************************************************/

void parser(int argc, char **argv)
{
 int x;
 
 sstyle  = 1;
 quiet_b = verbose_b = 0;
 
 if (argc!=1) 
  for (x=1; x<argc; x++)
   if (argv[x][0]!=45) show_params(); else	/* -* */
    if (argv[x][1]==115)			 /* -s? */
     {
      if (argv[x][2]==49) sstyle=1; else	  /* -s1 */
      if (argv[x][2]==50) sstyle=2; else	  /* -s2 */
      if (argv[x][2]==51) sstyle=3; else	  /* -s3 */
      if (argv[x][2]==52) sstyle=4; else	  /* -s4 */
      show_params();
     } else
    if (argv[x][1]==113) quiet_b=1; else	 /* -q  */
    if (argv[x][1]==118) verbose_b=1; else	 /* -v  */
     { 						/* -h or -whatever */
      if (argv[x][1]!=104) printf("unkown parameter\n");
      show_params();
     }
                    
}